﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" encoding="utf-16"/>

  <xsl:include href="Templates/ChecklistTemplates.xslt"/>


  <xsl:template match="/Export_DiversityTaxonNames">
    <style type="text/css">
      body { margin-left:70px; }
    </style>
    <html>
      <head>
        <title>Export DiversityTaxonNames</title>
      </head>
      <body style="{$FontDefault}">
        <xsl:call-template name="Header"/>
        <br/>
        <br/>
        <xsl:call-template name="Sections"/>
      </body>
    </html>
  </xsl:template>

  <xsl:template name="Sections">
    <table cellspacing="0" cellpadding="0" width="570" border="0" style="{$FontDefault}">
      <xsl:for-each select="./TaxonList/Group">
        <tr height ="10">
           <td style="{$Font_10}">
           </td>
        </tr>
        <tr>
          <td style="{$Font_10}">
            <b>
              <xsl:value-of select="GroupTitle"/>
            </b>
          </td>
        </tr>
        <xsl:for-each select="./Taxon">
          <xsl:call-template name="TaxonGenusAndSpecies"/>
        </xsl:for-each>
      </xsl:for-each>
    </table>
  </xsl:template>

  <xsl:template name="TaxonGenusAndSpecies">
    <tr>
      <td style="{$Font_10}">
        <i>
          <xsl:value-of select="GenusOrSupragenericName"/>
          <xsl:text> </xsl:text>
          <xsl:value-of select="SpeciesEpithet"/>
        </i>
        <xsl:if test="./InfraspecificEpithet != ''">
          <xsl:text> </xsl:text>
          <xsl:value-of select="TaxonomicRank"/>
          <xsl:text> </xsl:text>
          <i>
            <xsl:value-of select="InfraspecificEpithet"/>
          </i>
        </xsl:if>

        <xsl:if test="./SpecimenList">
          <xsl:call-template name="SpecimenList"/>
        </xsl:if>

      </td>
   </tr>
  </xsl:template>

  <xsl:template name="SpecimenList">
    <xsl:text> (</xsl:text>
    <xsl:for-each select="./SpecimenList/Specimen">
      <xsl:if test="position() > 1">, </xsl:if>
      <!--<xsl:text> </xsl:text>-->
      <xsl:value-of select="DisplayText"/>
    </xsl:for-each>)
  </xsl:template>




</xsl:stylesheet>