﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" encoding="utf-16"/>

  <xsl:include href="Templates/ChecklistTemplates.xslt"/>


  <xsl:template match="/Export_DiversityTaxonNames">
    <style type="text/css">
      body { margin-left:70px; }
    </style>
    <html>
      <head>
        <title>Export DiversityTaxonNames</title>
      </head>
      <body style="{$FontDefault}">
        <xsl:call-template name="Header"/>
        <br/>
        <br/>
        <xsl:call-template name="Taxa"/>
      </body>
    </html>
  </xsl:template>

  <xsl:template name="Taxa">
    <table cellspacing="0" cellpadding="0" width="570" border="0" style="{$FontDefault}">
      <xsl:for-each select="./TaxonList/Group/Taxon">
        <tr height ="10">
           <td style="{$Font_10}">
           </td>
        </tr>
        <tr>
          <td style="{$Font_10}" colspan="2">
            <b><i>
              <xsl:value-of select="GenusOrSupragenericName"/>
              <xsl:text> </xsl:text>
              <xsl:value-of select="SpeciesEpithet"/>
            </i></b>
            <xsl:text> </xsl:text>
            <xsl:value-of select="Authors"/>
            <xsl:text>, </xsl:text>
            <xsl:value-of select="Reference"/>.
          </td>
        </tr>
        <xsl:call-template name="Synonyms"/>
        <xsl:call-template name="Section"/>
        <xsl:call-template name="SpecimenPlaces"/>
        <!--<xsl:call-template name="SpecimenDistribution"/>-->
      </xsl:for-each>
    </table>
  </xsl:template>

  <xsl:template name="Synonyms">
    <xsl:for-each select="./SynonymList/Synonym">
      <tr>
        <td width="3">
        </td>
        <td style="{$Font_10}">
          <i>
            <xsl:value-of select="GenusOrSupragenericName"/>
            <xsl:text> </xsl:text>
            <xsl:value-of select="SpeciesEpithet"/>
          </i>
          <xsl:if test="./InfraspecificEpithet != ''">
            <xsl:text> </xsl:text>
            <xsl:value-of select="TaxonomicRank"/>
            <xsl:text> </xsl:text>
            <i><xsl:value-of select="InfraspecificEpithet"/></i>
          </xsl:if>
            <xsl:text> </xsl:text>
          <xsl:value-of select="Authors"/>
          <xsl:text>, </xsl:text>
          <xsl:value-of select="Reference"/>.
        </td>
      </tr>
    </xsl:for-each>
  </xsl:template>

  <xsl:template name="Section">
    <xsl:for-each select="./Hierarchy/HierarchyLevel">
      <xsl:if test="./TaxonomicRank = 'sect.'">
        <tr>
          <td width="20">
          </td>
          <td style="{$Font_10}">
            <xsl:value-of select="TaxonomicRankDisplayText"/>
            <xsl:text>: </xsl:text>
            <xsl:value-of select="Taxon"/>.
          </td>
       </tr>
      </xsl:if>
    </xsl:for-each>
  </xsl:template>

  <xsl:template name="SpecimenDistribution">
        <tr>
          <td width="3">
          </td>
          <td style="{$Font_10}">
            <xsl:text>Distribution: </xsl:text>
            <xsl:for-each select="./SpecimenList/Specimen">
              <xsl:if test="position() > 1">,</xsl:if>
              <xsl:text> </xsl:text>
              <xsl:value-of select="PlaceNameCache"/>
            </xsl:for-each>.
          </td>
        </tr>
  </xsl:template>

  <xsl:template name="SpecimenPlaces">
    <xsl:if test="./PlaceList">
      <tr>
        <td width="3">
        </td>
        <td style="{$Font_10}">
          <xsl:text>Distribution: </xsl:text>
            <xsl:for-each select="./PlaceList/Place">
                <xsl:if test="position() > 1">,</xsl:if>
                <xsl:text> </xsl:text>
                <xsl:value-of select="."/>
          </xsl:for-each>.
        </td>
      </tr>
    </xsl:if>
  </xsl:template>



</xsl:stylesheet>